Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.mappings.transformers
Class MethodBasedAttributeTransformer

`java.lang.Object
oracle.toplink.mappings.transformers.MethodBasedAttributeTransformer`

All Implemented Interfaces:
  AttributeTransformer, java.io.Serializable

public class MethodBasedAttributeTransformer
extends java.lang.Object
implements AttributeTransformer

Since:
  release specific (what release of product did this appear in) This class is used to preserve the old method of doing Attribute Transformations on a transformation mapping. It is used internally when the older API is used on a TransformationMapping, and handles doing invocations on the user's domain class
See Also:
  Serialized Form

Constructor Summary
`MethodBasedAttributeTransformer()`
`MethodBasedAttributeTransformer(java.lang.String methodName)`

Method Summary
`java.lang.reflect.Method` | `getAttributeTransformationMethod()`
`java.lang.String` | `getMethodName()`
`void` | `setAttributeTransformationMethod(java.lang.reflect.Method theMethod)`
`void` | `setMethodName(java.lang.String name)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodBasedAttributeTransformer

    public MethodBasedAttributeTransformer()

### MethodBasedAttributeTransformer

    public MethodBasedAttributeTransformer(java.lang.String methodName)

Method Detail

### getMethodName

    public java.lang.String getMethodName()

### setMethodName

    public void setMethodName(java.lang.String name)

### getAttributeTransformationMethod

    public java.lang.reflect.Method getAttributeTransformationMethod()

### setAttributeTransformationMethod

    public void setAttributeTransformationMethod(java.lang.reflect.Method theMethod)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD